=== debian/changelog ===
ros-crystal-rcl-action (0.6.6-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sat, 17 Aug 2019 07:00:00 -0000

ros-crystal-rcl-action (0.6.5-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-crystal-rcl-action (0.6.4-1bionic) bionic; urgency=high

  * Added parentheses around use of zerouuid macro (#371 <https://github.com/ros2/rcl/issues/371>)
  * Fixed logic that moves goal handles when one expires (#360 <https://github.com/ros2/rcl/issues/360>)
  * Updated to avoid timer period being set to 0 (#359 <https://github.com/ros2/rcl/issues/359>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 11 Jan 2019 08:00:00 -0000

ros-crystal-rcl-action (0.6.3-1bionic) bionic; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-crystal-rcl-action (0.6.2-1bionic) bionic; urgency=high

  * [rcl_action] Bugfix: arithmetic error
  * Contributors: Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-crystal-rcl-action (0.6.1-1bionic) bionic; urgency=high

  * Added wait_for_action_server() for action clients (#349 <https://github.com/ros2/rcl/issues/349>)
  * Updated to adapt to action implicit changes (#353 <https://github.com/ros2/rcl/issues/353>)
  * Added action interaction tests (#352 <https://github.com/ros2/rcl/issues/352>)
  * Enabled test_action_communication to compile against available rmw. (#351 <https://github.com/ros2/rcl/issues/351>)
  * Changed UUID type in action msgs (#338 <https://github.com/ros2/rcl/issues/338>)
  * Added rcl_action_server_is_valid_except_context (#348 <https://github.com/ros2/rcl/issues/348>)
  * Updated to fini even if node context is invalid and reset error (#346 <https://github.com/ros2/rcl/issues/346>)
  * Added timer to action server to check expired goals + asan fixes (#343 <https://github.com/ros2/rcl/issues/343>)
  * Increased timeout for rcl_wait in action tests (#344 <https://github.com/ros2/rcl/issues/344>)
  * Refactored init to not be global (#336 <https://github.com/ros2/rcl/issues/336>)
  * Completes integration tests for action client/server (#331 <https://github.com/ros2/rcl/issues/331>)
  * Updated rcl_action_expire_goals() to output list of expired goals. (#342 <https://github.com/ros2/rcl/issues/342>)
  * Updated process_cancel_request to no longer change goal state (#341 <https://github.com/ros2/rcl/issues/341>)
  * Add action server implementation (#323 <https://github.com/ros2/rcl/issues/323>)
  * Contributors: Alexis Pojomovsky, Jacob Perron, Michel Hidalgo, Shane Loretz, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 07 Dec 2018 08:00:00 -0000

ros-crystal-rcl-action (0.6.0-1bionic) bionic; urgency=high

  * Made rcl_action_get_*_name() functions check for empty action names. #329 <https://github.com/ros2/rcl/issues/329>
  * Implemented Action client #319 <https://github.com/ros2/rcl/issues/319>
  * Added function to check if goal can be transitioned to CANCELING (#325 <https://github.com/ros2/rcl/issues/325>)
  * Implement goal handle (#320 <https://github.com/ros2/rcl/issues/320>)
  * Update to use new error handling API from rcutils (#314 <https://github.com/ros2/rcl/issues/314>)
  * Add action services and topics name getters #317 <https://github.com/ros2/rcl/issues/317>
  * Implement init/fini functions for types (#312 <https://github.com/ros2/rcl/issues/312>)
  * Refactor goal state machine implementation and add unit tests (#311 <https://github.com/ros2/rcl/issues/311>)
  * Add missing visibilty control definitions (#315 <https://github.com/ros2/rcl/issues/315>)
  * Add rcl_action package and headers (#307 <https://github.com/ros2/rcl/issues/307>)
  * Contributors: Jacob Perron, Michel Hidalgo, William Woodall

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Nov 2018 08:00:00 -0000
