=== debian/control ===
Source: ros-crystal-rcl-action
Section: misc
Priority: extra
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-crystal-action-msgs, ros-crystal-ament-cmake-gtest, ros-crystal-ament-cmake-ros, ros-crystal-ament-lint-auto, ros-crystal-ament-lint-common, ros-crystal-osrf-testing-tools-cpp, ros-crystal-rcl, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-rosidl-generator-c, ros-crystal-test-msgs, ros-crystal-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-rcl-action
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-crystal-action-msgs, ros-crystal-rcl, ros-crystal-rcutils, ros-crystal-rmw, ros-crystal-rosidl-generator-c, ros-crystal-ros-workspace
Description: Package containing a C-based ROS action implementation
